import importlib.resources
import bz2

class NvecMap:

    def __init__(self):
        self.airfields = {}

    def __getitem__(self, airfield):
        if not self.airfields:
            resources = importlib.resources.files("nightflight")
            airport_data_bz2 = resources.joinpath("airports.txt.bz2").read_bytes()
            airport_data = bz2.decompress(airport_data_bz2).decode()
            for airport in airport_data.splitlines():
                fields = airport.split(",")
                nvec = tuple(int(X) / 10000 for X in fields[2:])
                self.airfields[fields[0]] = nvec
                self.airfields[fields[1]] = nvec
        return self.airfields[airfield]


airfields = NvecMap()
